Recommendations - Get Recommendation Scenarios
Get recommendation names.
Gets the list of recommendation scenario names for the tenant.
GET https://api.powerplatform.com/analytics/advisorRecommendations/scenarios?api-version=2024-10-01
URI Parameters
| Name | In | Required | Type | Description |
|---|---|---|---|---|
|
api-version
|
query | True |
string |
The API version. |
Responses
| Name | Type | Description |
|---|---|---|
| 200 OK |
Success |
|
| 400 Bad Request |
Bad Request |
|
| 401 Unauthorized |
Unauthorized |
|
| 403 Forbidden |
Forbidden |
|
| 404 Not Found |
Not Found |
Security
oauth2
Microsoft Entra ID OAuth2
Type:
oauth2
Flow:
implicit
Authorization URL:
https://login.microsoftonline.com/common/oauth2/authorize?resource=https://api.powerplatform.com
Scopes
| Name | Description |
|---|---|
| .default | .default |
Definitions
AdvisorScenario
The recommendation scenario
| Name | Type | Description |
|---|---|---|
| scenario |
string |
The scenario identifier |
| scenarioName |
string |
Scenario display name |